#!/usr/bin/env python

import smtplib, sys, socket

SMTP_SERVER = 'mail.myisp.com'
FROM_ADDR = 'Panoptis <nobody@myisp.com>'
# You can insert multiple, comma separated addresses here
TO_ADDR = 'Administrator <admin@myisp.com>'
BASE_URL = 'http://mywebserver.myisp.com/cgi-bin/pview.py'

def attack_start(args):
	if (len(args) < 6):
		return
	logicalInput, logicalOutput, inputIP, dstIP, flows, packets = args
	msg = """From: %s
To: %s
Subject: Attack START

An attack has started 5 to 10 minutes ago.
Logical input interface: %s
Logical output interface: %s
Input interface IP address: %s (%s)
Destination IP address: %s
Number of flows: %s
Number of packets: %s

For more information on the destination host, click here:

%s?op=whois&h=%s

""" % (FROM_ADDR, TO_ADDR, logicalInput, logicalOutput, inputIP, \
		socket.gethostbyaddr(inputIP)[0], dstIP, flows, packets, \
		BASE_URL, dstIP)

	server = smtplib.SMTP(SMTP_SERVER)
	server.sendmail(FROM_ADDR, TO_ADDR, msg)
	return
	

def attack_stop(args):
	if (len(args) < 5):
		return
	logicalInput, logicalOutput, inputIP, flows, packets = args
	msg = """From: %s
To: %s
Subject: Attack STOP

An attack has just stopped.
Logical input interface: %s
Logical output interface: %s
Input interface IP address: %s (%s)
Current number of flows: %s
Current number of packets: %s

""" % (FROM_ADDR, TO_ADDR, logicalInput, logicalOutput, inputIP, \
		socket.gethostbyaddr(inputIP)[0], flows, packets)

	server = smtplib.SMTP(SMTP_SERVER)
	server.sendmail(FROM_ADDR, TO_ADDR, msg)
	return


if __name__ == '__main__':
	if (len(sys.argv) < 2):
		sys.exit(0)
	mode = sys.argv[1]
	if mode == 'START':
		attack_start(sys.argv[2:])
	elif mode == 'STOP':
		attack_stop(sys.argv[2:])
	else:
		sys.exit(0)

