/***************************************************************************
                                 mconfig.h
                             -------------------
    begin                : Fri Feb 1 2002
    copyright            : (C) 2002 by Constantinos A. Kotsokalis
    email                : ckotso@grnet.gr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MCONFIG_H
#define MCONFIG_H

/**Handles reading the configuration file in a hash table
to be used by the Collector class
  *@author Constantinos A. Kotsokalis
  */

class MConfig;

#include <cc++/misc.h>

#ifdef  CCXX_NAMESPACES
	using namespace std;
	using namespace ost;
#endif

#include "stripper.h"

#include <stdio.h>
#include <errno.h>

#include <iostream>
#include <fstream>
#include <vector>
#include <string>
#include <map>

class MConfig {
public: 
	MConfig(const char *);
	virtual ~MConfig();
	/** Read property of map< string, vector<string> > configmap. */
	virtual const map< string, vector<string> >& getconfigmap();
private: // Private attributes
	map< string, vector<string> > configmap;
};

#endif
